com.intellectualcrafters.plot.util

## Class Logger

- java.lang.Object
- - com.intellectualcrafters.plot.util.Logger

-     public class Logger
      extends java.lang.Object

  Logging of errors and debug messages.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Logger.LogLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Logger()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `add(Logger.LogLevel level, java.lang.String string)`
    `static void` | `setup(java.io.File file)`
    `static void` | `write()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Logger

          public Logger()

  - ### Method Detail

    - #### setup

          public static void setup(java.io.File file)

    - #### write

          public static void write()
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### add

          public static void add(Logger.LogLevel level,
                 java.lang.String string)